'Store Current Page for Return
'hy_StoreCurrentPageForReturn.csc
'
'Copyright 2002 by Abe Hendin <ventura@yourspeed.com>.
'Released November 11, 2002
'
'This script stores the current page number in a publication variable
'for easy return later, using my "hy_ReturnToStoredPage.csc" script.

WITHOBJECT "CorelVentura.Automation.8"
	Dim CurrPN As Long, IVar As Long, VarCount As Long
	Dim strCurrPN As String, VarName As String, VarSub As String
	
	.ViewPageLayout
	.FrameFirst True
	CurrPN = .CurrentPageNumber(, 2)'get current absolute p.n.
	strCurrPN = Ltrim(Str(CurrPN)) 'convert p.n. to string
	VarCount = .PubVariableCount() 'get total num of pub vars
	VarName = "" 'initialize varname as empty
	
	For IVar = 1 To VarCount 'check each pub var to find the one we want
		.FormatPubVariableGetAt IVar, VarName 'collect varname
		If VarName = "SinglePageHistory" Then 'found the one we're looking for
			.FormatPubVariable IVar, .Substitution = strCurrPN 'replace stored p.n.
		EndIf
	Next IVar
	
	If VarName <> "SinglePageHistory" Then 'storage var doen't exist; create it
		.FormatPubVariableAdd "SinglePageHistory", strCurrPN
	End If
END WITHOBJECT
