'Return to Last-Stored Page
'hy_ReturnToLastStoredPage.csc
'
'Copyright 2002 by Abe Hendin <ventura@yourspeed.com>.
'Released November 11, 2002
'
'This script returns to a page number that was previously stored in a
'publication variable by my "hy_StoreCurrentPageForReturn.csc" script.
'It contains minimal error checking.

WITHOBJECT "CorelVentura.Automation.8"
	Dim CurrPN As Long, IVar As Long, VarCount As Long
	Dim strCurrPN As String, VarName As String, VarSub As String
	Dim VarProb As Boolean
	Dim retval As Integer
	
	.ViewPageLayout 'set view
	.FrameFirst True 'select base page
	VarCount = .PubVariableCount() 'get total num of pub vars
	VarProb = True 'set check var
	
	For IVar = 1 To VarCount 'check each pub var to find the one we want
		.FormatPubVariableGetAt IVar, VarName, VarSub 'collect var info
		If VarName = "SinglePageHistory" Then 'found the one we're looking for
			If Len(VarSub) > 0 And Val(VarSub) > 0 Then 'varsub contains at least one numeric char
				.ViewGotoPage VarSub, .GoWhere = 4 'goto last-edited
				VarProb = False
			Else
				VarProb = True
			End If
		EndIf
	Next IVar
	
	If VarProb = True Then 'there's a problem with the storage variable
		retval = MessageBox("There is a problem with the SinglePageHistory variable. It" + \\
			CHR(13) + "either does not exist, or it contains an unusable value. Store" + \\
			CHR(13) + "a new page number with the hy_StoreCurrentPageForReturn.csc" + \\
			CHR(13) + "script and try again.", "Error: Page not stored", 0 Or 48)
	End If
END WITHOBJECT
